Update Template Patient View
curl --request PATCH \
--url https://api.decodahealth.com/notes/templates/{note_template_id}/patient-view \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"visibleToPatient": true,
"patientVisibleQuestionOrder": [
"<string>"
],
"showSummaryInPatientView": false
}
'import requests
url = "https://api.decodahealth.com/notes/templates/{note_template_id}/patient-view"
payload = {
"visibleToPatient": True,
"patientVisibleQuestionOrder": ["<string>"],
"showSummaryInPatientView": False
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
visibleToPatient: true,
patientVisibleQuestionOrder: ['<string>'],
showSummaryInPatientView: false
})
};
fetch('https://api.decodahealth.com/notes/templates/{note_template_id}/patient-view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"sections": [],
"questions": [],
"userIds": [
"<string>"
],
"isFavorited": false,
"expiryDays": 123,
"visibleToPatient": false,
"patientVisibleQuestionOrder": [
"<string>"
],
"showSummaryInPatientView": false,
"superbillEnabled": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Note Templates
Update Template Patient View
Set patient-portal visibility, summary toggle, and ordered field selection on a template.
PATCH
/
notes
/
templates
/
{note_template_id}
/
patient-view
Update Template Patient View
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
